| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::coroutine::final_awaiter< R > Struct Template Reference

Struct returned by a coroutine's final_suspend, resumes the continuation. More...

`#include <coroutine.h>`

## Public Member Functions

bool | await_ready () const noexcept
| First function called by the standard library when reaching the end of a coroutine.
void | await_resume () const noexcept
| Function called by the standard library when this object is resumed.
std_coroutine::coroutine_handle | await_suspend (std_coroutine::coroutine_handle< promise_t< R > > handle) const noexcept
| Second function called by the standard library when reaching the end of a coroutine.

## Detailed Description

template<typename R>
struct dpp::detail::coroutine::final_awaiter< R >

Struct returned by a coroutine's final_suspend, resumes the continuation.

## Member Function Documentation

## ◆ await_ready()

template<typename R>

bool dpp::detail::coroutine::final_awaiter< R >::await_ready | ( |  | ) | const

inline nodiscard noexcept

First function called by the standard library when reaching the end of a coroutine.

Returns
  false Always return false, we need to suspend to resume the parent

## ◆ await_resume()

template<typename R>

void dpp::detail::coroutine::final_awaiter< R >::await_resume | ( |  | ) | const

inline noexcept

Function called by the standard library when this object is resumed.

## ◆ await_suspend()

template<typename R>

std_coroutine::coroutine_handle dpp::detail::coroutine::final_awaiter< R >::await_suspend | ( | std_coroutine::coroutine_handle< promise_t< R > > | handle | ) | const

inline nodiscard noexcept

Second function called by the standard library when reaching the end of a coroutine.

Returns
  std::handle_t<> Coroutine handle to resume, this is either the parent if present or std::noop_coroutine()

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0